Summary: A Photomosaic Generator
Name: metapixel
Version: 1.0.1
Release: 5%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: http://www.complang.tuwien.ac.at/~schani/metapixel/metapixel-%{version}.tar.gz
Patch0: metapixel-makefile.patch
URL: http://www.complang.tuwien.ac.at/~schani/metapixel/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libjpeg-devel, libpng-devel, zlib-devel

%description
Metapixel is a program for generating photomosaics. It can generate
classical photomosaics, in which the source image is viewed as a matrix
of equally sized rectangles for each of which a matching image is
substitued, as well as collage-style photomosaics, in which rectangular
parts of the source image at arbitrary positions (i.e. not aligned to a
matrix) are substituted by matching images.

%prep
%setup -q
%patch0 -p1 -b .makefile

%build
%{__make} %{?_smp_mflags} CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
chmod 644 %{buildroot}%{_mandir}/man1/metapixel.1*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/metapixel
%{_bindir}/metapixel-prepare
%{_bindir}/metapixel-imagesize
%{_bindir}/metapixel-sizesort
%{_mandir}/man1/metapixel.1.gz


%changelog
* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.0.1-5
- FE6 Rebuild

* Mon May 22 2006 Andreas Thienemann <andreas@bawue.net> 1.0.1-4
- bump

* Mon May 22 2006 Andreas Thienemann <andreas@bawue.net> 1.0.1-3
- Patched Makefile to honor %%{optflags}, fixing #192620

* Wed Apr 26 2006 Andreas Thienemann <andreas@bawue.net> 1.0.1-2
- Fixed manpage perms

* Wed Apr 26 2006 Andreas Thienemann <andreas@bawue.net> 1.0.1-1
- Updated to 1.0.1-1

* Thu Aug 25 2005 Andreas Thienemann <andreas@bawue.net> 1.0.0-1
- Initial spec.
